package net.sourceforge.chopchophttpclient.processor;

public class ProcessingThread extends Thread {
	private final DownloadRunnable downloadRunnable;
	private final int index;
	
	public ProcessingThread(DownloadRunnable downloadRunnable, int index) {
		super(downloadRunnable);
		
		this.downloadRunnable = downloadRunnable;
		this.index = index;
	}
	
	public DownloadRunnable getDownloadRunnable() {
		return this.downloadRunnable;
	}
	
	public int getIndex() {
		return this.index;
	}
}
